# Esempi per docker-compose

![logo](https://i.imgur.com/u5LH0jI.png)

---

* [metube](metube/) - frontend per youtube-dl
* [miniflux](miniflux/) - feed rss minimale
* [navidrome](navidrome/) - spotify personale
* [watchotwer](watchtower/) - monitor per aggiornamenti
* altri in arrivo, stay tuned™

# Struttura dei compose

È necessario avere **conoscenza di base di linux e docker-compose** prima di usare gli esempi, ma comunque è quasi tutto semi-esplicativo e dettagliato, nel caso di problemi e/o dubbi non esitate a contattarmi in privato su [telegram](https://t.me/ghostakilla) o aprire una issue.

* **Descrizione**
* **Struttura file e cartelle**
* **docker-compose**
* **Reverse proxy**
* **Aggiornamenti**
* **Backup e ripristino**
* **Todo**

# Precisazioni

### Uso della tag "latest"

Quasi tutte le immagini sono senza tag, in modo che venga usata il tag di default `latest`.
Questo metodo non è [consigliato](https://vsupalov.com/docker-latest-tag/), ma siete liberi di usare una versione specifica in caso di problemi noti o non vi fidate.

---

### Bind mount

Tutti i file e le cartelle sono montati direttamente dall'host nel container.</br>
**Pro:**
- Creare, modificare e/o salvare, come se fosse una qualsiasi cartella/file
- Backup molto facili da eseguire

**Contro:**
- Maggiore vulnerabilità dell'host, nel caso di un'attacco (esterno per lo più)
- Impostare i permessi (lettura/scrittura) per cartelle/file, per non avere i permessi negati durante le modifiche

---

### ctop

[Sito ufficiale](https://ctop.sh/)</br>
[Repo (Github)](https://github.com/bcicen/ctop)

![ctop-look](https://raw.githubusercontent.com/bcicen/ctop/master/_docs/img/grid.gif)

Tool simile ad htop per una gestione semplice dei container direttamente nel terminale.

* panoramica dell'uso dell'hardware, in modo da sapere quale contenitore usa quanta CPU, RAM, banda, I/O
* informazioni dettagliate sul contenitore, il suo IP, le porte pubblicate ed esposte, quando è stato creato, exec rapido nel contenitore, controllo dei log

Scritto in Go, super veloce e l'installazione essendo un singolo binario è banale per molte distro linux, sempre che non sia già presente nel vostro package manager.


---

### Inspirato (moltissimo) da

[DoTheEvo/selfhosted-apps-docker](https://github.com/DoTheEvo/selfhosted-apps-docker/blob/master/README.md)</br>
[StarWhiz/docker_deployment_notes](https://github.com/StarWhiz/docker_deployment_notes/blob/master/README.md)
