# MeTube in docker

<div align="center">
  <img src="https://raw.githubusercontent.com/alexta69/metube/master/screenshot.gif" />
</div>

# Descrizione

* [Repo (Github)](https://github.com/alexta69/metube)

MeTube è una semplice interfaccia per youtube-dl:

- Interfaccia web moderna, semplice e leggera
- Supporta le playlist

# Struttura file e cartelle

```
/home/
└── ~/
    └── docker/
        └── metube/
            ├── downloads/
            ├── .env
            └── docker-compose.yml
```

* `downloads/` - la cartella dove vengono salvati i video
* `.env` - un file contenenti le variabili environment per il docker compose
* `docker-compose.yml` - il docker compose per creare il container

Tutti i file e le cartelle devono essere creati a mano.</br>

# docker-compose

`docker-compose.yml`
```yml
version: "3"
services:
  metube:
    container_name: metube
    image: alexta69/metube
    restart: unless-stopped
    ports:
      - ${METUBE_PORT:-8081}:8081
    env_file: .env
    volumes:
      - ${METUBE_DOWNLOADS:-/home/docker/metube/download}:/downloads
```

`.env`
```bash
# Generale
METUBE_PORT:8081
METUBE_DOWNLOADS:/home/docker/metube/download
```

# Reverse proxy

Ancora non ho previsto l'uso di un reverse proxy. (Vedi [Todo](#Todo))

# Aggiornamenti

[Watchtower](https://github.com/DoTheEvo/selfhosted-apps-docker/tree/master/watchtower) aggiorna l'immagine automaticamente.

Aggiornamento manuale:

- `docker-compose pull`</br>
- `docker-compose up -d`</br>
- `docker image prune`

# Backup e ripristino

#### Backup

Copiare a mano, tramite crontab o altro la cartella `metube` (Vedi [Todo](#Todo))

#### Ripristino

* spegnere il container `docker-compose down`</br>
* cancellare l'intera cartella `metube`</br>
* dal backup copiare la cartella `metube`</br>
* far partire il container `docker-compose up -d`

# Todo

Implementare:
- reverse proxy: **[caddy](https://caddyserver.com/) o [traefik](https://doc.traefik.io/traefik/).**
- backup: **[borg](https://github.com/DoTheEvo/selfhosted-apps-docker/tree/master/borg_backup) per fare i backup giornalieri completi.**
