# Watchtower in docker

<div align="center">
  <img src="https://raw.githubusercontent.com/containrrr/watchtower/main/logo.png" width="250" />
</div>

# Utilizzo

* [Sito ufficiale](https://containrrr.dev/watchtower/)
* [Repo (Github)](https://github.com/containrrr/watchtower)

Watchtower è un'applicazione per monitorare e aggiornare i cointainer:

- Aggiornamento e riavvio dei container
- Cancellazione automatica delle vecchie images
- Possibilità di (multi-)notifica in caso di aggiornamenti (email, slack, msteams, gotify, shoutrrr)
- Molto configurabile

# Struttura file e cartelle

```
/home/
└── ~/
    └── docker/
        └── watchtower/
            ├── .env
            └── docker-compose.yml
```

* `.env` - un file contenenti le variabili environment per il docker compose
* `docker-compose.yml` - il docker compose per creare il container

Tutti i file e le cartelle devono essere forniti a mano.</br>

# docker-compose

`docker-compose.yml`
```yml
version: "3"
services:
  watchtower:
    container_name: watchtower
    image: deluan/navidrome
    restart: unless-stopped
    env_file: .env
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
```

`.env`
```bash
# Watchtower
WATCHTOWER_SCHEDULE=0 0 0 * * SAT
WATCHTOWER_CLEANUP=true
WATCHTOWER_TIMEOUT=30s
WATCHTOWER_DEBUG=false
WATCHTOWER_INCLUDE_STOPPED=false
```

# Aggiornamenti

[Watchtower](https://github.com/DoTheEvo/selfhosted-apps-docker/tree/master/watchtower) si aggiorna da solo.

Aggiornamento manuale:

- `docker-compose pull`</br>
- `docker-compose up -d`</br>
- `docker image prune`
